package ru.vvdev.wistory.flutter

import android.app.Activity
import android.content.Context
import android.view.View
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.platform.PlatformView
import ru.vvdev.wistory.WistoryView


class FlutterWistoryView(context: Context?, id: Int) : PlatformView, MethodChannel.MethodCallHandler {
    private var context: Context?
    private var wistoryView: View?

    init {
        this.context = context
        wistoryView  = WistoryView(FlutterWistoryView.activity)
    }


    override fun getView(): View? {
        return wistoryView
    }

    override fun dispose() {}

    override fun onMethodCall(call: MethodCall, result: MethodChannel.Result) {
    }

    companion object {
        var activity: Activity? = null
    }
}
