import 'dart:async';

import 'package:flutter/services.dart';

class Wistory {
  static MethodChannel _channel = MethodChannel("wistory");
  static bool initialized = false;
  static List listeners = [];

  Wistory() {}

  static Future<void> initialize(
      {String companyToken}) async {
    // todo: favoriteTitle
    await Wistory._channel.invokeMethod(
        'init', {"companyToken": companyToken});
    Wistory.initialized = true;
    Wistory.listeners.forEach((element) {
      element();
    });
  }

  static onInitializeSdk(listener) {
    Wistory.listeners.add(listener);
    if (Wistory.initialized) {
      listener();
    }
  }

  static removeListener(listener) {
    Wistory.listeners.remove(listener);
  }
}
