package ru.vvdev.wistory.flutter

import io.flutter.embedding.engine.plugins.FlutterPlugin
import io.flutter.embedding.engine.plugins.FlutterPlugin.FlutterPluginBinding
import io.flutter.embedding.engine.plugins.activity.ActivityAware
import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding

class FlutterWistoryPlugin : FlutterPlugin, ActivityAware {
    override fun onAttachedToActivity(binding: ActivityPluginBinding) {
        FlutterWistoryView.activity = binding.activity
    }

    override fun onDetachedFromActivityForConfigChanges() {
    }

    override fun onReattachedToActivityForConfigChanges(
            binding: ActivityPluginBinding
    ) {
        FlutterWistoryView.activity = binding.activity
    }

    override fun onDetachedFromActivity() {
    }

    override fun onAttachedToEngine(binding: FlutterPluginBinding) {
        binding.platformViewRegistry.registerViewFactory("wistoryView", WistoryFactory())
    }

    override fun onDetachedFromEngine(binding: FlutterPluginBinding) {
    }
}
