import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter_wistory/wistory.dart';
import 'package:flutter_wistory/wistory_view.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    Wistory.initialize(
      companyToken:
          "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJfaWQiOiI1ZjA4NjBmNjdiNDJmYjVhNDQyNjBmOTIiLCJpYXQiOjE1OTQzODQ2MzB9.FHWwDHifbqK4kyP6Rz2n5KQfSHVhcHEGmIIXEFpZ1GU"
    );
    if (!mounted) return;
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Wistory example'),
        ),
        body: Center(
          child: WistoryView(), // <---
        ),
      ),
    );
  }
}
