import Flutter
import UIKit
import Wistory

public class FlutterWistoryView : NSObject, FlutterPlatformView {
    let frame : CGRect
    let viewId : Int64
    let wistory = Wistory(with:FlutterWistoryViewConfig.shared.companyToken, usageSettings: .embedded)
        .presentingSettings(style: .popover)
        .storiesViewController;

    init(_ frame:CGRect, viewId:Int64, args: Any?){
        self.frame = frame
        self.viewId = viewId

        wistory.didMove(toParent: UIApplication.shared.keyWindow?.rootViewController)
    }

    public func view() -> UIView {
        return wistory.view
    }
    
}
